Bug 807020 - update re-enables explicitly disabled nfs-idmap and nfs-lock services
update re-enables explicitly disabled nfs-idmap and nfs-lock services
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 15:12 EDT by Gabriel Somlo
Modified: 2012-07-02 18:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 12:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to enable nfs services on install only, not on upgrade (840 bytes, patch)
2012-03-26 15:12 EDT, Gabriel Somlo
no flags Details | Diff

  None (edit)
Description Gabriel Somlo 2012-03-26 15:12:45 EDT
Created attachment 572852 [details]
patch to enable nfs services on install only, not on upgrade

Description of problem:
I have nfs-utils installed (for the occasional mounting of a remote NFS file
system) but do not wish to continuously run rpc.idmapd, rpc.bind, etc. So I have
disabled (via systemd) nfs-idmap and nfs-lock.
However, each time I update nfs-utils, these services get re-enabled, and end
up starting surreptitiously, behind my back, immediately after the next reboot :)

Version-Release number of selected component (if applicable):
nfs-utils-1.2.5-5.fc16.x86_64


How reproducible:
On a fresh install (e.g. from DVD), disable nfs-idmap.service and nfs-lock.service, then update the system. nfs-idmap and nfs-lock will be
re-enabled by the nfs-utils rpm package update.

Steps to Reproduce:
1. install from DVD
2. systemctl disable nfs-idmap.service; systemctl disable nfs-lock.service
3. yum update
4. reboot
  
Actual results:
nfs-idmap.service and nfs-lock.service are running

Expected results:
nfs-idmap.service and nfs-lock.service should stay disabled

Additional info:

Please consider applying the attached patch.
Comment 1 Fedora Update System 2012-05-15 16:21:30 EDT
nfs-utils-1.2.6-0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.6-0.fc17
Comment 2 Fedora Update System 2012-05-15 16:22:30 EDT
nfs-utils-1.2.5-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.5-7.fc16
Comment 3 Fedora Update System 2012-05-17 18:57:07 EDT
Package nfs-utils-1.2.6-0.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.6-0.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7979/nfs-utils-1.2.6-0.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-29 12:19:00 EDT
nfs-utils-1.2.6-0.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-05-29 16:11:43 EDT
nfs-utils-1.2.5-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.5-8.fc16
Comment 6 Fedora Update System 2012-07-02 18:28:00 EDT
nfs-utils-1.2.5-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.